## NAME

i.tape.tm.fast - An imagery function that extracts Thematic Mapper (TM) imagery from tape media
(GRASS Image Processing Program)

## SYNOPSIS

i.tape.tm.fast
i.tape.tm.fast help
i.tape.tm.fast help [-q] input=name group=name bands=value[,value,...] [rows=firstrow-lastrow] [cols=firstcol-lastcol] [TITLE=name]

## DESCRIPTION

i.tape.tm.fast is a program that extracts TM imagery from tape media with different blocking factors (its value indicates how many rows are combined into one physical record on the tape).

i.tape.tm.fast must be run in a LOCATION_NAME with a (x,y) coordinate system (i.e., a coordinate system with projection 0). For further information regarding the LOCATION_NAME type, please refer to the imagery manual entry.

i.tape.tm.fast reads the blocking factor from the header file as well as other parameters, such as gains and offsets for each band, map projection, sun elevation and azimuth, etc., and writes into history file (depending upon the contents of the header file).

## OPTIONS

This program can be run either non-interactively or interactively. It will be run non-interactively if the user specifies the name of input device, the name of output group file, bands to be extracted, and optionally other parameters (see below) on the command line using the form:

  i.tape.tm.fast help [-q] input=name group=name bands=value[,value,...] [rows=firstrow-lastrow] [cols=firstcol-lastcol] [TITLE=name]

where the input should be the device name on which the tape media are mounted. The group is an imagery group which will store the extracted TM imagery. The bands value in a list separated by commas is the bands the user wants to extract from the imagery. The rows and cols represent the region which the user wishes to extract, where the default is whole imagery. At last an optional TITLE is for information only. Alternatively, the program will be run interactively if the user types only i.tape.tm.fast; in this case the program will prompt the user for parameter values using the standard GRASS parser interface.

### Flags:

-q
  Run quietly. Supresses output of program percent-complete messages. If this flag is not used, these messages are printed out.

### Parameters:

input=name
  The name of the device on which the tape media containing the imagery files mounted.
group=name
  The name of the group, which will store the imagery extracted from tape media.
bands=value[,value,...]
  The bands the user wishes to extracted from the tape media.
  Options: 1-7
rows=firstrow-lastrow
  The values of first and last row of the extracting region.
  Default: full imagery
cols=firstcol-lastcol
  The values of first and last column of the extracting region.
  Default: full imagery
TITLE=name
  The TITLE of the extracting imagery.
  Default: TM Imagery File Extracted from Tape

## NOTES

Running in command line mode, i.tape.tm.fast will overwrite the group file and support files without prompting if the files existed.

## SEE ALSO

GRASS Tutorial: Image Processing

i.group
i.tape.mss
i.tape.mss.h
i.tape.other
i.tape.tm
i.tape.spot
imagery
m.examine.tape

## AUTHOR

Tao Wen, University of Illinois at Urbana-Champaign

Last changed: $Date: 2002/01/25 05:45:33 $